%global realname merge_index
%global upstream basho
%global debug_package %{nil}
%global git_tag e19bf98
%global patchnumber 0


Name:		erlang-%{realname}
Version:	1.1.0
Release:	2%{?dist}
Summary:	An Erlang library for storing ordered sets on disk
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/merge_index
# wget --no-check-certificate --content-disposition https://github.com/basho/merge_index/tarball/1.1.0
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-lager
BuildRequires:	erlang-rebar
Requires:	erlang-erts
Requires:	erlang-kernel
Requires:	erlang-lager
Requires:	erlang-stdlib


%description
MergeIndex is an Erlang library for storing ordered sets on disk. It is very
similar to an SSTable (in Google's Bigtable) or an HFile (in Hadoop).

Basho Technologies developed MergeIndex to serve as the underlying index storage
format for Riak Search and the upcoming Secondary Index functionality in Riak.


%prep
%setup -q -n %{upstream}-%{realname}-215efed
sed -i -e "3,7d" rebar.config


%build
# Requires quickcheck which is proprietary software
# w/o it it just returns ok
rebar compile -v


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 include/*.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include/


%clean
rm -rf %{buildroot}


%check
rebar eunit -v


%files
%doc LICENSE Notes.txt README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl


%changelog
* Wed Jun 06 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-2
- Verbose rebar invocation
- Restored tests

* Thu May 17 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-1
- Ver. 1.1.0

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-1
- Initial build
